#ifndef NEWSONGLISTLINEEDIT_H
#define NEWSONGLISTLINEEDIT_H

#include <QLineEdit>
#include <QLabel>
#include <QHBoxLayout>
#include <QDebug>

#define PT_11 11

class NewSonglistLineEdit : public QLineEdit
{
    Q_OBJECT

public:
    NewSonglistLineEdit();
    void setLabelNumber(int num);
    void init();

public Q_SLOTS:
    void slotLableSetFontSize(int size);

private:
    QLabel *lab = nullptr;
    int leng = 15;
};

#endif // NEWSONGLISTLINEEDIT_H
